CREATE OR REPLACE FUNCTION public.trigger_delete_service()
    RETURNS trigger
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE NOT LEAKPROOF
AS $BODY$
BEGIN
    DELETE FROM esia_error_happen WHERE happen_service_id = OLD.service_id;
    DELETE FROM esia_service_response_program WHERE response_service_id = OLD.service_id;
    DELETE FROM esia_maintenance_configuration WHERE maintenance_conf_service_id = OLD.service_id;
    DELETE FROM esia_maintenance_planned WHERE planned_service_id = OLD.service_id;
    RETURN OLD;
END;
$BODY$;

ALTER FUNCTION public.trigger_delete_service()
    OWNER TO esia;
